/* ***************************************************************** */
/* * Restore situations if Fixpack 300KD5FP01 is back out          * */
/* ***************************************************************** */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_ARCM_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_CTHD_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_DWAT_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_ETIM_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_GETP_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_IDBC_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_IDBT_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_INDB_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_RCPU_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_RIO_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_TCPU_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_TRCV_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_TSND_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WCLM_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WDLK_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WGLK_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WLGQ_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WSPS_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WSRV_Warning';


/* ***************************************************************** */
/* * Bring in the D3 situations that are replaced by KD5           * */
/* ***************************************************************** */

$PARMS("A DB2 thread is not executing because it is waiting for a tape m
ount request to be resolved. While the thread is waiting, it is blocked
from doing anything else.  If this problem persists, you should insure t
hat whatever tape management facility is used is operating properly.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ARCM_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114535000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Archive log mount required for backout",
"*IF  *VALUE DB2_Thread_Exceptions.Archive_Tape_Wait *EQ True");

$PARMS("A DB2 thread is not executing because it is waiting for a tape m
ount request to be resolved. While the thread is waiting, it is blocked
from doing anything else.  If this problem persists, you should insure t
hat whatever tape management facility is used is operating properly.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ARCM_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114541000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Archive log mount required for backout",
"*IF  *VALUE DB2_Thread_Exceptions.Archive_Tape_Wait *EQ True");

$PARMS("The application is waiting for a thread to be created. An applic
ation can be in this state if the maximum number of allowed threads has
been reached. The application will not start to execute until some other
 thread terminates. The maximum allowed thread count can be changed, how
ever it is probably set up as a throttle to prevent over utilization of
the DB2 system.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_CTHD_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114559000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Application is waiting for thread creation.",
"*IF  *VALUE DB2_Thread_Exceptions.Thread_Create_Wait *EQ True");

$PARMS("The application is waiting for a thread to be created. An applic
ation can be in this state if the maximum number of allowed threads has
been reached. The application will not start to execute until some other
 thread terminates. The maximum allowed thread count can be changed, how
ever it is probably set up as a throttle to prevent over utilization of
the DB2 system.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_CTHD_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114606000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Application is waiting for thread creation.",
"*IF  *VALUE DB2_Thread_Exceptions.Thread_Create_Wait *EQ True");

$PARMS("A distributed allied thread has been waiting for a response to a
 remote SQL request for a period of time greater than the critical thres
hold. The activity on the remote DB2 subsystem should be looked at to de
termine if it is functioning properly.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_DWAT_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114612000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Wait for remote SQL time exceeds critical limit",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Distributed_Query *GE 10");


$PARMS("A distributed allied thread has been waiting for a response to a
 remote SQL request for a period of time greater than the warning thresh
old. The activity on the remote DB2 subsystem should be looked at to det
ermine if it is functioning properly.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_DWAT_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114619000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Wait for remote SQL time exceeds warning limit",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Distributed_Query *GE 8 *AN
D  *VALUE DB2_Thread_Exceptions.Wait_Time_Distributed_Query *LT 10");

$PARMS("The elapsed time for a DB2 thread (from sign-on or create thread
) exceeds the critical threshold. Some threads are intended to run for l
ong periods and can be ignored. Long elapsed time for other threads woul
d indicate that bottlenecks in the system are preventing applications fr
om completing in a timely manner.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ETIM_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114627000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Thread elapsed time exceeds critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Elapsed_Time *GE 600");

$PARMS("The elapsed time for a DB2 thread (from sign-on or create thread
) exceeds the warning threshold. Some threads are intended to run for lo
ng periods and can be ignored. Long elapsed time for other threads would
 indicate that bottlenecks in the system are preventing applications fro
m completing in a timely manner.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ETIM_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011108122054000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Thread elapsed time exceeds warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Elapsed_Time *GE 60 *AND  *VALUE DB2_
Thread_Exceptions.Elapsed_Time *LT 600");

$PARMS("The ratio of logical page read (getpage) requests to physical pa
ge read (read I/O) requests is less than the critical threshold. This ex
ception is an indication that DB2 is having a low hit ratio for this app
lication. You can try to execute the RUNSTATS utility against this appli
cations plan.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_GETP_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114641000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Getpage ratio less then critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Getpage_Ratio *LT 15");

$PARMS("The ratio of logical page read (getpage) requests to physical pa
ge read (read I/O) requests is less than the warning threshold. This exc
eption is an indication that DB2 is having a low hit ratio for this appl
ication. You can try to execute the RUNSTATS utility against this applic
ations plan.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_GETP_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114649000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Getpage ratio less then warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Getpage_Ratio *LT 18 *AND  *VALUE DB2
_Thread_Exceptions.Getpage_Ratio *GE 15");

$PARMS("The amount of CPU time used by DB2 to process a thread is greate
r than the critical threshold. The SQL used by this thread could be anal
yzed to see if it could be optimized.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_IDBC_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114657000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DB2 CPU usage exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.DB2_CPU_Used *GE 70");

$PARMS("The amount of CPU time used by DB2 to process a thread is greate
r than the warning threshold. The SQL used by this thread could be analy
zed to see if it could be optimized.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_IDBC_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114705000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DB2 CPU usage exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.DB2_CPU_Used *GE 56 *AND  *VALUE DB2_
Thread_Exceptions.DB2_CPU_Used *LT 70");

$PARMS("The length of time that DB2 has been processing a thread is grea
ter than the critical threshold. This could be an indication that the DB
2 system is looping or that it is processing a complex request.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_IDBT_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114714000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DB2 Elapsed time exceeds critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.DB2_Elapsed_Time *GE 5");

$PARMS("The length of time that DB2 has been processing a thread is grea
ter than the warning threshold. This could be an indication that the DB2
 system is looping or that it is processing a complex request.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_IDBT_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114721000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DB2 Elapsed time exceeds warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.DB2_Elapsed_Time *GE 4 *AND  *VALUE D
B2_Thread_Exceptions.DB2_Elapsed_Time *LT 5");

$PARMS("The thread has terminated and is indoubt. Data associated with t
his thread is not in a consistent state. This can happen with a rollback
 operation is being performed on an IMS or CICS thread but the DB2 syste
m is waiting for the IMS or CICS regions to restart the attachment facil
ities.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_INDB_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114729000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Thread is in the INDOUBT state",
"*IF  *VALUE DB2_Thread_Exceptions.Indoubt *EQ True");

$PARMS("The thread has terminated and is indoubt. Data associated with t
his thread is not in a consistent state. This can happen with a rollback
 operation is being performed on an IMS or CICS thread but the DB2 syste
m is waiting for the IMS or CICS regions to restart the attachment facil
ities.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_INDB_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114738000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Thread is in the INDOUBT state",
"*IF  *VALUE DB2_Thread_Exceptions.Indoubt *EQ True");

$PARMS("The amount of CPU time used by a distributed data access thread
exceeds the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_RCPU_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114850000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Remote CPU seconds exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Distributed_CPU_Seconds *GE 50");

$PARMS("The amount of CPU time used by a distributed data access thread
exceeds the warning threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_RCPU_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114857000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Remote CPU seconds exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Distributed_CPU_Seconds *GE 40 *AND
*VALUE DB2_Thread_Exceptions.Distributed_CPU_Seconds *LT 50");

$PARMS("The physical read I/O rate per second on behalf of a thread exce
eds the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_RIO_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114928000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Read I/O rate exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Read_I/O_Rate *GE 10");

$PARMS("The physical read I/O rate per second on behalf of a thread exce
eds the warning threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_RIO_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114940000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Read I/O rate exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Read_I/O_Rate *GE 8 *AND  *VALUE DB2_
Thread_Exceptions.Read_I/O_Rate *LT 10");

$PARMS("The CPU rate (percent) of active threads exceeds the critical th
reshold. For non-CICS threads, this is the CPU rate of the address space
 from which the thread originates. It includes both TCB and SRB time. Fo
r CICS threads, this is the CPU rate attributable to the thread originat
ing from the CICS connection. It includes only TCB time incurred by the
thread. This exception does not report CPU use for connections with no a
ctive threads.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TCPU_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114950000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"CPU Utilization exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.CPU_Utilization *GE 20");

$PARMS("The CPU rate (percent) of active threads exceeds the warning thr
eshold. For non-CICS threads, this is the CPU rate of the address space
from which the thread originates. It includes both TCB and SRB time. For
 CICS threads, this is the CPU rate attributable to the thread originati
ng from the CICS connection. It includes only TCB time incurred by the t
hread. This exception does not report CPU use for connections with no ac
tive threads.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TCPU_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115006000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"CPU Utilization exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.CPU_Utilization *GE 16 *AND  *VALUE D
B2_Thread_Exceptions.CPU_Utilization *LT 20");

$PARMS("The amount of data received by distributed threads from a remote
 DB2 subsystem exceeds the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TRCV_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115020000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Distributed receive rate exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Distributed_Receive_Bytes *GE 1000");


$PARMS("The amount of data received by distributed threads from a remote
 DB2 subsystem exceeds the warning threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TRCV_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115049000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Distributed receive rate exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Distributed_Receive_Bytes *GE 800 *AN
D  *VALUE DB2_Thread_Exceptions.Distributed_Receive_Bytes *LT 1000");

$PARMS("The amount of data sent by distributed threads to a remote DB2 s
ubsystem exceeds the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TSND_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115058000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Distributed send rate exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Distributed_Send_Bytes *GE 1000");

$PARMS("The amount of data sent by distributed threads to a remote DB2 s
ubsystem exceeds the warning threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TSND_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115111000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Distributed send rate exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Distributed_Send_Bytes *GE 800 *AND
*VALUE DB2_Thread_Exceptions.Distributed_Send_Bytes *LT 1000");

$PARMS("A thread has been waiting for more than the specified critical l
ength of time for a resource to be drained of claimers.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WCLM_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115124000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on drain clains exceed the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Drain_Claims *GE 60");

$PARMS("A thread has been waiting for more than the specified warning le
ngth of time for a resource to be drained of claimers.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WCLM_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115134000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on drain clains exceed the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Drain_Claims *GE 48 *AND  *
VALUE DB2_Thread_Exceptions.Wait_Time_Drain_Claims *LT 60");

$PARMS("Indicates that a thread has been waiting to acquire a drain lock
 longer then the specified critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WDLK_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115148000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on drain of locks exceed the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Drain_Lock *GE 60");

$PARMS("Indicates that a thread has been waiting to acquire a drain lock
 longer then the specified warning threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WDLK_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115158000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on drain of locks exceed the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Drain_Lock *GE 48 *AND  *VA
LUE DB2_Thread_Exceptions.Wait_Time_Drain_Lock *LT 60");

$PARMS("Indicates that a thread has been waiting for a global lock longe
r then the specified critical threshold. The global locks are maintained
 in the coupling facility for DB2 systems using the data sharing environ
ment. The owner of the lock may be on any of the DB2 systems that make u
p the data sharing group.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WGLK_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115212000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on global locks exceed the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Global_Lock *GE 60");

$PARMS("Indicates that a thread has been waiting for a global lock longe
r then the specified warning threshold. The global locks are maintained
in the coupling facility for DB2 systems using the data sharing environm
ent. The owner of the lock may be on any of the DB2 systems that make up
 the data sharing group.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WGLK_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115222000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on global locks exceed the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Global_Lock *GE 48 *AND  *V
ALUE DB2_Thread_Exceptions.Wait_Time_Global_Lock *LT 60");

$PARMS("Indicates that a thread has been waiting for an ARCHIVE LOG MODE
(QUIESCE) command to complete longer then the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WLGQ_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115231000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on log queue exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Log_Queue *GE 60");

$PARMS("Indicates that a thread has been waiting for an ARCHIVE LOG MODE
(QUIESCE) command to complete longer then the warning threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WLGQ_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115244000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on log queue exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Log_Queue *GE 48 *AND  *VAL
UE DB2_Thread_Exceptions.Wait_Time_Log_Queue *LT 60");

$PARMS("The time this thread has been waiting for the stored procedures
address space to become available in order for a stored procedure to be
scheduled is greater then the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WSPS_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115254000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting for stored procedure exceeds critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Procedure *GE 60");

$PARMS("The time this thread has been waiting for the stored procedures
address space to become available in order for a stored procedure to be
scheduled is greater then the warning threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WSPS_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115304000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting for stored procedure exceeds warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Procedure *GE 48 *AND  *VAL
UE DB2_Thread_Exceptions.Wait_Time_Procedure *LT 60");

$PARMS("Indicates when a thread has been waiting for more than the criti
cal length of time for a DB2 service. DB2 service waits include Open/clo
se dataset, SYSLGRNG update, DFHSM recall, Dataspace Manager services, a
nd Define/Delete/Extend dataset.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WSRV_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115316000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting for service exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Service *GE 30");

$PARMS("Indicates when a thread has been waiting for more than the warni
ng length of time for a DB2 service. DB2 service waits include Open/clos
e dataset, SYSLGRNG update, DFHSM recall, Dataspace Manager services, an
d Define/Delete/Extend dataset.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WSRV_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115329000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting for service exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Service *GE 24 *AND  *VALUE
 DB2_Thread_Exceptions.Wait_Time_Service *LT 30");


